Packages can't be deployed or Autopatch Packages can't be imported

Document ID : KB000086141
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
While deploying packages containing a lot of uprocs this error can appear on the univiewer.log:
############################################################################
Problem occured during deployment of UPROC [ITS_EDP_BCK_QZP_VSA_BTNX][000] on ejspbe01/X/EJSPBE01 
com.orsyp.UniverseException: UniverseProtocol - decodeHeader: invalid header [K <NUL><NUL>]
############################################################################

In case of deployment of package that contain uprocs whose size can be superior to 500 KB, this error may appear on the univiewer.log:
############################################################################
|com.orsyp.kmeleon.universe.deployment.UnifiedDeploymentBusiness$DeploymentAction|Problem occured during deployment of UPROC [U_-WIN_EXTRACTION-U010][000] on DUASREF/X 
com.orsyp.UniverseException: send:
############################################################################

While importing an autopatch package, some of these errors may appear on the UVMS log (uvserver.log):
############################################################################
| 2013-09-03 18:38:05 |ERROR| request-worker-183 | com.orsyp.comm.server.NIOBasedSocket | Character Coding ExceptionInput length = 1 
java.nio.charset.UnmappableCharacterException: Input length = 1

| 2013-09-04 11:23:35 |ERROR| pool-3-thread-1 | com.orsyp.request.file.FilePutRequestHandler$1 | Problem occured while creating package from zip file 
java.util.zip.ZipException: invalid stored block lengths

Or:

#######################################
|2013-10-09 11:40:01,979|ERROR|http://casplda02:8080/univiewer_webconsole_4.0.16_all_os|BackgroundWorker-17|com.orsyp.kmeleon.universe.deployment.UnifiedDeploymentBusiness$AddToPackageDeploymentAction|Problem occured while saving package AMEX 
com.orsyp.UniverseException: Post too large 
#######################################

| 2013-08-27 14:01:29 |ERROR| pool-1-thread-1 | com.orsyp.request.file.FilePutRequestHandler$1 | Problem occured while creating package from zip file 
java.util.zip.ZipException: invalid block type 
############################################################################ 

Patch level detected:Univiewer Console 4.0.00
Product Version: Dollar.Universe 6.0.0

Description :Packages can't be deployed or Autopatch Packages can't be imported into the UVMS via the Univiewer Webconsole.
Environment:
OS: All
OS Version: All
Cause:
Cause type:
Configuration
Root Cause: The default settings of Tomcat set the connector variables values too low, that makes the http messages sent from the Univiewer WebConsole get discarded.
Resolution:
Edit the file: /conf/server.xml and modify the connector/s configuration adding the variables maxPostSize and maxHeaderCount like this:
############################################################################
connectionTimeout="60000"
redirectPort="8443"
maxPostSize="12582912"
maxHeaderCount="5000"/>
############################################################################

Then restart the tomcat server.

Fix Status: No Fix
 
Additional Information:
Workaround :
N/A